<?xml version="1.0" encoding="ISO-8859-1"?>

	 <!DOCTYPE overlay SYSTEM "chrome://global/locale/xml/prettyprint.dtd">

	 <xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
		 <xsl:output method="html" indent="yes" />
		 <xsl:variable name="title" select="/rss/channel/title"/>
		 <xsl:variable name="feedtitle" select="/feed/title"/>
		 <xsl:variable name="rdftitle" select="/rdf:RDF/channel/title"/>
		 <xsl:template match="/">
			 <html><head>
					 <title><xsl:value-of select="$title"/><xsl:value-of select="$feedtitle"/><xsl:value-of select="$rdftitle"/>
						 XML Feed
					 </title>
					 <link rel="stylesheet" href="chrome://global/content/xml/XMLPrettyPrint.css" type="text/css"/>
				 </head>
				 <body>
					 <div>
						 <span><xsl:value-of select="$title"/></span>
						 <span><xsl:value-of select="$feedtitle"/></span>
						 <span><xsl:value-of select="$rdftitle"/></span>
					 </div>
					 <br/>
					 <hr/>
					 <xsl:apply-templates select="rdf:RDF/channel"/>
				 </body>
			 </html>
		 </xsl:template>
		 <xsl:template match="channel">
			 <xsl:apply-templates select="item"/>
		 </xsl:template>
		 <xsl:template match="entry">
			 <div id="item">
				 <ul>
					 <li>
						 <a href="{id}" class="item"><xsl:value-of select="title"/></a><br/>
						 <div>
							 <xsl:value-of select="content" />
						 </div>
						 <xsl:if test="count(child::enclosure)=1">
							 <p class="mediaenclosure"><embed src="{enclosure/@url}" width="100" height="55"><xsl:value-of select="child::enclosure/@url"/></embed></p>
						 </xsl:if>
					 </li>
				 </ul>
			 </div>
		 </xsl:template>
		 <xsl:template match="link">
		 </xsl:template>
		 <xsl:template match="updated">
		 </xsl:template>
		 <xsl:template match="generator">
		 </xsl:template>
		 <xsl:template match="id">
		 </xsl:template>
		 <xsl:template match="title">
		 </xsl:template>
		 <xsl:template match="item">
			 <div id="item">
				 <ul>
					 <li>
						 <a href="{link}" class="item"><xsl:value-of select="title"/></a><br/>
						 <div>
							 <xsl:value-of select="description" />
						 </div>
						 <xsl:if test="count(child::enclosure)=1">
							 <p class="mediaenclosure"><embed src="{enclosure/@url}" width="100" height="55"><xsl:value-of select="child::enclosure/@url"/></embed></p>
						 </xsl:if>
					 </li>
				 </ul>
			 </div>
		 </xsl:template>
	 </xsl:stylesheet>
